/**
 * VM Avgs:
 *  -Xss128k
 * @author 献
 * @company Goochine-深圳古辰创智科技有限公司
 * @website www.goochine.com
 * @tel 18271840547
 * @date 2017/4/24
 */
public class TestStackOutOfMemory {
    public static void main(String[] args) {
        TestStackOutOfMemory t = new TestStackOutOfMemory();
        t.stackTest(1L, 2L, 3L, 2.3, 2.4);
    }

    public double stackTest(Long l1, Long l2, Long l3, double d1, double d2) {
        long l = l1 + l2 + l3;
        double d = d1 + d2;
        return this.stackTest(1L, 2L, 3L, 2.3, 2.4);
    }
}
